Heimdal Kerberos 5 error reporting functions(3)

NAME
Heimdal Kerberos 5 error reporting functions -

  Functions
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_eai_to_heim_errno (int eai_errno, int system_error)
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_h_errno_to_heim_errno (int eai_errno)
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_clear_error_message (krb5_context context)
KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_set_error_message (krb5_context context, krb5_error_code ret, const char *fmt,...) __attribute__((format(printf
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarn (krb5_context context, krb5_error_code code, const char *fmt, va_list ap) __attribute__((format(printf

Detailed Description

Function Documentation

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_clear_error_message (krb5_context context)

Clears the error message from the Kerberos 5 context.

Parameters:
    context The Kerberos 5 context to clear

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_eai_to_heim_errno (int eai_errno, int system_error)

Convert the getaddrinfo() error code to a Kerberos et error code.

Parameters:
    eai_errno contains the error code from getaddrinfo().
    system_error should have the value of errno after the failed getaddrinfo().

Returns:
    Kerberos error code representing the EAI errors.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_h_errno_to_heim_errno (int eai_errno)

Convert the gethostname() error code (h_error) to a Kerberos et error code.

Parameters:
    eai_errno contains the error code from gethostname().

Returns:
    Kerberos error code representing the gethostname errors.

  KRB5_LIB_FUNCTION void KRB5_LIB_CALL krb5_set_error_message (krb5_context context, krb5_error_code ret, const char * fmt, ...)

Set the context full error string for a specific error code. The error that is stored should be internationalized.

Parameters:
    context Kerberos 5 context
    ret The error code
    fmt Error string for the error code
    ... printf(3) style parameters.

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb5_vwarn (krb5_context context, krb5_error_code code, const char * fmt, va_list ap)

Log a warning to the log, default stderr, include the error from the last failure.

Parameters:
    context A Kerberos 5 context.
    code error code of the last error
    fmt message to print
    ap arguments